import { marker as _ } from '@biesbjerg/ngx-translate-extract-marker';
import { SuperType, SuperTypes } from '@red/domain';

export const SuggestionAddFalsePositive = 'suggestion-add-false-positive' as const;

type TranslationKey = SuperType & typeof SuggestionAddFalsePositive;

export const annotationTypesTranslations: Record<TranslationKey, string> = {
    [SuperTypes.TextHighlight]: _('annotation-type.text-highlight'),
    [SuperTypes.DeclinedSuggestion]: _('annotation-type.declined-suggestion'),
    [SuperTypes.Hint]: _('annotation-type.hint'),
    [SuperTypes.IgnoredHint]: _('annotation-type.ignored-hint'),
    [SuperTypes.ManualRedaction]: _('annotation-type.manual-redaction'),
    [SuperTypes.Recommendation]: _('annotation-type.recommendation'),
    [SuperTypes.Redaction]: _('annotation-type.redaction'),
    [SuperTypes.Skipped]: _('annotation-type.skipped'),
    [SuperTypes.SuggestionAdd]: _('annotation-type.suggestion-add'),
    [SuperTypes.SuggestionAddDictionary]: _('annotation-type.suggestion-add-dictionary'),
    [SuperTypes.SuggestionChangeLegalBasis]: _('annotation-type.suggestion-change-legal-basis'),
    [SuperTypes.SuggestionRecategorizeImage]: _('annotation-type.suggestion-recategorize-image'),
    [SuperTypes.SuggestionForceRedaction]: _('annotation-type.suggestion-force-redaction'),
    [SuperTypes.SuggestionForceHint]: _('annotation-type.suggestion-force-hint'),
    [SuperTypes.SuggestionRemove]: _('annotation-type.suggestion-remove'),
    [SuperTypes.SuggestionRemoveDictionary]: _('annotation-type.suggestion-remove-dictionary'),
    [SuperTypes.SuggestionResize]: _('annotation-type.suggestion-resize'),
    [SuggestionAddFalsePositive]: _('annotation-type.suggestion-add-false-positive'),
} as const;
